Skip to main content
POST
/
payout
/
methods
/
banks
Add bank payout method
curl --request POST \
  --url https://api-staging.stablestack.xyz/api/payout/methods/banks \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "type": "BANK",
  "account_name": "John Doe",
  "account_number": "1234567890",
  "bank_name": "Test Bank",
  "currency": "NGN",
  "bank_code": "000006",
  "customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
  "sort_code": "202524",
  "swift_code": "",
  "routing_number": "",
  "iban": ""
}
'
{
  "status": "success",
  "data": {
    "id": "a1b2c3d4-e67f-42a2-b24a-d33f220a0d37",
    "type": "BANK",
    "currency": "NGN",
    "account_name": "John Doe",
    "account_number": "1234567890",
    "bank_name": "Test Bank",
    "bank_code": "000006",
    "sort_code": null,
    "swift_code": null,
    "routing_number": null,
    "iban": null,
    "created_at": "2025-05-12T15:30:56.623Z",
    "updated_at": "2025-05-12T15:30:56.623Z",
    "customer_id": null
  },
  "message": "Merchant payout method added successfully!"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stablestack.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Adds a new bank payout method (either merchant-owned or customer-specific).
  • Include customer_id to create for a specific customer
  • Omit customer_id to create merchant-owned bank account

Request Body:

{
  "customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e", // optional
  "account_name": "John Doe",
  "account_number": "1234567890",
  "bank_name": "Test Bank",
  "currency": "NGN",
  "bank_code": "000006",
  "sort_code": "202524", // For GBP
  "swift_code": "", // For international transfers
  "routing_number": "", // For USD
  "iban": "" // For international accounts
}

Headers

x-api-key
string
required

Body

application/json
type
enum<string>
default:BANK
required

Must be 'BANK' for this endpoint

Available options:
BANK
account_name
string
required
Example:

"John Doe"

account_number
string
required
Example:

"1234567890"

bank_name
string
required
Example:

"Test Bank"

currency
enum<string>
required
Available options:
NGN,
ZAR
Example:

"NGN"

bank_code
string
required
Example:

"000006"

customer_id
string | null

Required only for customer-specific payout methods

Example:

"85b148ab-3f6b-4d55-917f-3c8de668a48e"

sort_code
string
Example:

"202524"

swift_code
string
Example:

""

routing_number
string
Example:

""

iban
string
Example:

""

Response

Bank account added successfully

status
string
Example:

"success"

data
object
message
string
Example:

"Payout method added successfully"